<?php

	include('correlation.php');

function check_date($data) 
{
    if (date('d-m-Y', strtotime($data)) == $data) 
	{
        return "OK";
    } 
	else 
	{
        return "Erreur";
    }
}
		
			$jour = $_POST['jour'];
			$mois = $_POST['mois'];
			$annee = $_POST['annee'];
			$J1 = $_POST['J1'];
			$J2 = $_POST['J2'];
			$selection_score = $_POST['selection_score'];
			
						
			$flag_validation = false;
			
			//echo $J1 ." " .$J2 ." " .$jour ." " .$mois ." " .$annee ." " .$selection_score;
			
			switch ($selection_score)
			{
				case "Blanc gagne":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Blanc perd":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir gagne":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir perd":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Match nul":
					$score_blanc = "0.5";
					$score_noir = "0.5";
					$flag_validation = true;
					break;

			}
			
			if($flag_validation == true)
			{
							
					$tab_associatif = array(); 
					$tab_associatif ['Janvier']='1';
					$tab_associatif ['Février']='2';
					$tab_associatif ['Mars']='3';
					$tab_associatif ['Avril']='4';
					$tab_associatif ['Mai']='5';
					$tab_associatif ['Juin']='6';
					$tab_associatif ['Juillet']='7';
					$tab_associatif ['Aôut']='8';
					$tab_associatif ['Septembre']='9';
					$tab_associatif ['Octobre']='10';
					$tab_associatif ['Novembre']='11';
					$tab_associatif ['Décembre']='12';
					$mois = $tab_associatif[$mois];
					
					$num_jour = intval($jour);
					$num_mois = intval($mois);
					
					if($num_jour < 10)
					{
						$jour = '0' .$jour;
					}
					
					if($num_mois < 10)
					{
						$mois = '0' .$mois;
					}
					
					$date_format = $jour ."-" .$mois ."-" .$annee; 
					//echo $date_format;
					
					if(check_date($date_format) == "Erreur") 
					{
						//$message = '<div id="message_traitement" style="display:block">Date non valide.</div>';
						echo 2;
					}
					else
					{
						$timestamp = mktime (0, 0, 0, $mois, $jour, $annee);
						$donnees = array();
						$donnees[0] = $timestamp;
						$donnees[1] = $J1;
						$donnees[2] = $J2;
						$donnees[3] = $score_blanc;
						$donnees[4] = $score_noir;
						
						algo_elo($donnees, "nostatistique", "sql", 0 );
						//$message = '<div id="message_traitement" style="display:block">Partie sauvée dans la database:';
						//$message .= $donnees[1]  .' contre ' .$donnees[1] . " " .$score_blanc . ' - ' .$score_noir ." le " .$date; 
						//$message .= '</div>';
						echo 1;
					}	

			}
				
				
				


?>